Maxxton External API

Sections

Creates a new reservation

Header Parameters

localestring

The name field in bill and reservedResources along with the infoTexts will be translated according to the locale passed, example for possible values: en(English), nl(Dutch), fr(French) etc.

Query Parameters

returnBillboolean

The customer bill will be returned when the value is set to true

returnInstalmentsboolean

The instalments will be returned when the value is set to true

skipAvailabilityIndexCheckboolean

This parameter will skip the check on availability based on the Elastic search availability index. This can be used if a reservation needs to be made when you can't wait for the index to be updated. It's recommended to not use this parameter in case you are not really sure what you are doing. By default, this check is always there because it's giving better performance in case of no availability. When this parameter is true - unitId is mandatory in request.

Default value
false

Body Parameters

distributionChannelCodestring Required

Unique code associated with distribution channel.

categoryCodestring Required

Unique code associated with reservation category.

accommodationTypesarray Required

It contains the details of the accommodationtype for which the reservation is made.

Show child attributes

remarkstring

If guest wants to specify some feedback to the location, then the feedback given by the customer is displayed.

externalBookingReferencestring

If the tour operator wants to store their reservation reference number, then it is displayed under this field.

employeestring

This is not changing the employee who created the reservation, as this is still the employee linked to the API key. This field will set the initials in the reservation.

sendMethodCodestring

This field specifies how the guest can be communicated to i.e via email or post

statusValuestring

This field hold the status, in which reservation will create. We create reservation with OPTIONAL or QUOTATION or PROVISIONAL or PRE_BOOKING or REQUEST status. Note: To create a confirm booking this field should not be passed. The fields statusValue and status are the same and they are here for legacy reasons.

Enum values:
PROVISIONALDELETEDDEF_CANCELLEDCANCELLEDEXPIREDDECLINEDQUOTATIONCHOICEBASKETINITIAL
... 7 other enums
customerIdinteger

Unique id associated with the customer. In case a reservation for an existing/logged in customer is created this field can be used. The customer Id is provided when the customer login using POST /maxxton/v2/customers/login.

customerobject

Details related to the customer. This entity will create a new customer, in case the customer needs to login use customerId field instead.

Show child attributes

rateTypeIdinteger

Unique id of the rate types, for which the cashflow is applicable.

paymentTermSetIdinteger
tncSignedboolean

Response

200
Object
The request is completed successfully without any errors

Response Attributes

reservationIdinteger

Unique id of newly created reservation.

reservationNumberstring

Represent the unique number of newly created reservation.

arrivalDatestring

The date on which customer/guest will arrive. Date should be added using ISO 8601 standard(yyyy-MM-dd)

currencyCodestring

Unique code represent the currency in which the reservation payment is done.

departureDatestring

The date on which customer/guest will leave the accommodation. Date should be added using ISO 8601 standard(yyyy-MM-dd)

reservationDatestring

Date on which the reservation is created.

statusValuestring

This field holds the status, in which reservation is created. Possible status can be: OPTIONAL, QUOTATION, PROVISIONAL, REQUEST

Enum values:
PROVISIONALDELETEDDEF_CANCELLEDCANCELLEDEXPIREDDECLINEDQUOTATIONCHOICEBASKETINITIAL
... 7 other enums
locationIdinteger

The unique id represents the location in which the accommodationtype is located.

externalBookingReferencestring

It represents the tour operator's reservation reference number.

customerIdinteger

The unique id represents the the customer/guest who requested for the reservation.

customerBillarray

The bill of the customer for which the reservation is created.

Show child attributes

agentBillarray

The bill of agent or tour operator or any third party who made the reservation on behalf of the customer.

Show child attributes

reservedResourcesarray

The list of resources which are booked as part of the reservation.

Show child attributes

locationInfotextsarray

Represent any information that is related to the location.

Show child attributes

instalmentsarray

As per the payment terms configuration , installments are generated for the entire bill.

Show child attributes

statusinteger

Possible values for reservation status DELETED(-99), DEFINITIVE_CANCELLED(-13), CANCELLED(-12), EXPIRED(-11), DECLINED(-10), QUOTATION(-5), INITIAL(0 ), REQUEST(10), OPTIONAL(11), PROVISIONAL(12), DEFINITIVE(21), CHECKED_IN(31), CHECKED_OUT(41)

paymentTermSetIdinteger
408
Object
Reservation creation timed out
500
Object
Error occurred while creating reservation

POST

/

Select
1

Response